## GogLegend

GogLegend — A legend.

## Synopsis

                        GogLegend;

## Object Hierarchy

      GObject
       +----GogObject
             +----GogStyledObject
                   +----GogOutlinedObject
                         +----GogLegend

## Implemented Interfaces

GogLegend implements GOStyledObject.

## Properties

      "swatch-padding-pts"       gdouble               : Read / Write
      "swatch-size-pts"          gdouble               : Read / Write

## Description

A legend shows the name of each GogSeries and which colors they have in the plot. To use, add in the role "Legend" of a GogChart.

## Details

### GogLegend

    typedef struct _GogLegend GogLegend;

## Property Details

### The `"swatch-padding-pts"` property

      "swatch-padding-pts"       gdouble               : Read / Write

padding between the swatches in pts.

Allowed values: >= 0

Default value: 0

### The `"swatch-size-pts"` property

      "swatch-size-pts"          gdouble               : Read / Write

size of the swatches in pts.

Allowed values: >= 0

Default value: 0